﻿using Stimulsoft.Base;
using Stimulsoft.Report;

var data = new
{
    Title = "Test",
};

var jsonModel = Newtonsoft.Json.JsonConvert.SerializeObject(data);

try
{
    var report = StiReport.GetReportFromAssembly(Path.Combine(Environment.CurrentDirectory, "Report.dll")); //This line fails
    using var ds = StiJsonToDataSetConverterV2.GetDataSet(jsonModel);
    report.RegData(ds);

    report.Render();
    report.ExportDocument(StiExportFormat.Pdf, Path.Combine(Environment.CurrentDirectory, "Report.pdf"));
}
catch (Exception e)
{
    Console.WriteLine(e.ToString());
}